## FlatpakRemoteRef FlatpakRemoteRef — Remote application reference |

## Functions

const char * | flatpak_remote_ref_get_remote_name ()

## Properties

gchar * | remote-name | Read / Write

## Types and Values

struct | FlatpakRemoteRef

## Object Hierarchy

        GObject
        ╰── FlatpakRef
            ╰── FlatpakRemoteRef

## Description

A FlatpakRemoteRef provides information about an application or runtime (in short: ref) that is available from a remote repository.

## Functions

### flatpak_remote_ref_get_remote_name ()

    const char *
    flatpak_remote_ref_get_remote_name (FlatpakRemoteRef *self);

Gets the remote name of the ref.

#### Parameters

self | a FlatpakRemoteRef |

#### Returns

the remote name.

[transfer none]

## Types and Values

### struct FlatpakRemoteRef

    struct FlatpakRemoteRef;

## Property Details

### The `“remote-name”` property

      “remote-name”              gchar *

The name of the remote.

Flags: Read / Write

Default value: NULL